Subject: RE: [DNA] Considerations for DNA Schemes with multiple Interface and Layer 2 Technologies

From: NJEDJOU Eric RD-RESA-REN <[email-masked]>
Date: Fri, 29 Oct 2004 09:59:09 +0200

Well Pekka, Greg, i had not followed precedent discussions on this and did not know the issue had already been raised and got a consensus. Sorry; Will check the thread archive...
Eric

-----Message d'origine-----
De : Pekka Nikander [mailto:[email-masked]] 
Envoyé : mercredi 27 octobre 2004 21:41
À : NJEDJOU Eric RD-RESA-REN
Cc : JinHyeock Choi; Dna; Greg Daley
Objet : Re: [DNA] Considerations for DNA Schemes with multiple Interface and Layer 2 Technologies

Eric,

<chair hat on>

The DNA goals document has been passed to the IESG.  We already had the WG LC, resolved the comments, and as the comments were mostly editorial in nature, passed the document to the IESG.

Do you feel that we should pull the document back?  (I am not saying that I am willing to do that, I just want to understand how strongly you feel about your comments.)

<chair hat off>

> Actually the DNA scheme would better not be the same depending on 
> wether i am able to attach to more than one link or not. Effectively, 
> if i am attached for instance to two links at the same time, i may not 
> need to go into the DNA process whenever i receive a hint that one of 
> those links (L2 or L3) is no more valid, if i am able to switch my 
> flows onto the other link without noticeable service interruption 
> (after checking that my IP configuration on that other link is valid).
>
> This is why i do not really like the sentence "DNA schemes are 
> typically run per interface.  When a host has
>    multiple interfaces, the host separately checks for link changes on
>    each interface."
> As said in the introduction of the dna goals document. I think DNA 
> would better run on an overall basis i.e seeing all of the links 
> (which my Ip layer is capable of for that matter).

We discussed this already, see e.g.
http://webcamserver.eng.monash.edu.au/~warchive/dna/2004-09/
msg00019.html
and the messages before and after that.

I don't quite understand how your comment is different from what Erik and I discussed?  I originally more or less felt like you, but after some consideration came to the conclusion that the complications that would result are not worth the effort.

However, for the related reasons we added the word "typically" to the above sentence, among other things.

On Oct 27, 2004, at 19:02, NJEDJOU Eric RD-RESA-REN wrote:

> In the same respect,
>  the sentence "Today, a link change necessitates an IP configuration 
> change." in the dna goals document introduction let the reader believe 
> that a node would not be having interfaces attached to other links.
> Because if it is so, then the a configuration that might have been 
> built on the non used link could start being used  without requiring 
> new IP configuration.

I don't understand this comment.  The document says pretty clearly that you _typically_ do DNA per interface.  Hence, if you link changes, you _typically_ run DNA on the interface attached to that link, and not on others.  What am I missing?

> Is it possible to recall the definition of the word link in that dna 
> goal document? Copy-paste from RFC 2461....

I don't understand this comment either.  We are referring to 2461.
What is wrong with that?

--Pekka